{"openapi":"3.0.3","info":{"title":"~ admin","version":"1.0.0","contact":{}},"servers":[{"url":"{{liveApi}}"},{"url":"{{liveApi}}e}}"}],"paths":{"/api/admin/users":{"get":{"summary":"get all users","description":"get all users","operationId":"getAllUsers","responses":{"200":{"description":""}},"security":[{"bearerAuth":[]}]}},"/api/admin/users/{userId}":{"patch":{"summary":"update user status","description":"update user status","operationId":"updateUserStatus","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"ACTIVE"}}},"examples":{"activate user":{"value":{"status":"ACTIVE"}},"update user status":{"value":{"status":"SUSPENDED"}}}}}},"responses":{"200":{"description":""}},"security":[{"bearerAuth":[]}]},"parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}]},"/api/admin/gear":{"get":{"summary":"get all gears","description":"get all gears","operationId":"getAllGears","responses":{"200":{"description":""}},"security":[{"bearerAuth":[]}]}},"/api/admin/rentals":{"get":{"summary":"get all rental orders","description":"get all rental orders","operationId":"getAllRentalOrders","responses":{"200":{"description":""}},"security":[{"bearerAuth":[]}]}}},"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Schema":{"type":"object","properties":{"id":{"type":"integer","format":"int64"}}}}},"tags":[]}